# i3status configuration file.
# see "man i3status" for documentation.
#        color_good = "#00e6ac"
#		 color_bad = "#ff0000"
#        color_degraded = "#ffff66"
# It is important that this file is edited as UTF-8.
# The following line should contain a sharp s:
# ß
# If the above line is not correctly displayed, fix your editor first!

general {
  output_format = "i3bar"
  colors = true
  #color_good = "#2E588E"
  #color_degraded = "#FFFF00"
  #color_bad = "#FF0000"
  interval = 1
  "markup"="pango"
}

# D/U speed
order += "disk /"
order += "wireless _first_"
#order += "ethernet _first_"
order += "battery 1"
#order += "cpu_temperature 0"
#order += "cpu_temperature 1"
#order += "cpu_temperature 2"
#order += "cpu_temperature 3"
#order += "cpu_temperature 4"
order += "volume master"
order += "tztime local"

disk "/" {
        format = "<span color='#FFFFFF'> ⛁ %avail</span> "
        #format = " ⛁ %avail "
}

wireless _first_ {
# format_up = "W: (%quality at %essid) %ip"
# format_down = "W: down"
format_up = "<span color='#FFFFFF'>%quality</span>"
format_down = "<span color='#FFFFFF'>" #"[  ]  Wifi: down</span>"
}

ethernet _first_ {
# if you use %speed, i3status requires root privileges
format_up = "<span color='#FFFFFF'>%ip | %speed </span>"
format_down = " no lan "
}

battery 1 {
format = "<span color='#FFFFFF'>%status %percentage %remaining %emptytime</span>"
        status_chr =   #"[  ] "
        status_bat = "   "
        status_unk = "[? ukwn ]"
        status_full = "[  ]"
        path = "/sys/class/power_supply/BAT0/uevent"
        low_threshold = 10
        last_full_capacity = true
        hide_seconds = true
        integer_battery_capacity = true
}

# Check path: cat /sys/class/hwmon/hwmon*/temp1_input
cpu_temperature 0 {
        format = "<span color='#FFFFFF'>Temp: %degrees °C</span>"
        path = "/sys/class/hwmon/hwmon3/temp1_input"
}
cpu_temperature 1 {
        format = "T: %degrees °C"
        path = "/sys/devices/platform/coretemp.0/hwmon/hwmon*/temp2_input"
}
cpu_temperature 2 {
        format = "T: %degrees °C"
        path = "/sys/devices/platform/coretemp.0/hwmon/hwmon*/temp3_input"
}
cpu_temperature 3 {
        format = "T: %degrees °C"
		path = "/sys/devices/platform/coretemp.0/hwmon/hwmon*/temp4_input"
}
cpu_temperature 4 {
        format = "T: %degrees °C"
		path = "/sys/devices/platform/coretemp.0/hwmon/hwmon*/temp5_input"
}

volume master {
        format = "<span color='#FFFFFF'>VOL: %volume</span>"
        format_muted = "<span color='#cfafc8'>[  ]: muted (%volume) </span>"
        device = "default"
        mixer = "Master"
        mixer_idx = 0
}

tztime local {
format = "<span color='#FFFFFF'>%a. %d.%m.%y | %H:%M:%S</span>"
locale = "de_DE.UTF-8"
}
